Package de.gebit.integrity.remoting.transport.enums

## Enum ExecutionCommands

- java.lang.Object
- - java.lang.Enum<ExecutionCommands>
  - - de.gebit.integrity.remoting.transport.enums.ExecutionCommands

- All Implemented Interfaces:
    `Serializable`, `Comparable<ExecutionCommands>`

      public enum ExecutionCommands
      extends Enum<ExecutionCommands>
      implements Serializable

  Valid commands for test execution control.
  Author:
    Rene Schneider - initial API and implementation

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `PAUSE` | Pause test execution.
    `RUN` | Run/continue the test.
    `STEP_INTO` | Single-step.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ExecutionCommands` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ExecutionCommands[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RUN

          public static final ExecutionCommands RUN

      Run/continue the test.

    - #### PAUSE

          public static final ExecutionCommands PAUSE

      Pause test execution.

    - #### STEP_INTO

          public static final ExecutionCommands STEP_INTO

      Single-step.

  - ### Method Detail

    - #### values

          public static ExecutionCommands[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExecutionCommands c : ExecutionCommands.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExecutionCommands valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null